Subject: bug#50838: closed (Re: [bug#50838] Update sbcl)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 28 Sep 2021 09:53:02 +0000

Your bug report

#50838: Update sbcl

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50838: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50838
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#50838] Update sbcl
From: Guillaume Le Vaillant <[email-masked]>
To: Charles <[email-masked]>
Cc: Pierre Neidhardt <[email-masked]>, [email-masked]
Date: Tue, 28 Sep 2021 09:47:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Charles <[email-masked]> skribis:

> I knotice that sbcl 2.1.9 came out, so these patches are to go straight to
> 2.1.9. I needed to update sbcl-esrap with no further problems. Same issues with
> sbcl-burgled-batteries3 and sbcl-png though for sbcl-png, I noticed a github
> pull request (https://github.com/ljosa/cl-png/pull/6) with a fix.

Patches pushed as 9bf9dd79ef907a7faab012f1c60c09e0819e179f and
following. Thanks.

I added patches to fix sbcl-png and sbcl-burgled-batteries3, and I check
that everything depending on SBCL builds fine with:

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix build $(./pre-inst-env guix refresh -l sbcl | cut -d ':' -f 2-)
--8<---------------cut here---------------end--------------->8---

Subject: Update sbcl
From: Charles <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Mon, 27 Sep 2021 05:51:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Empty Message

From 738370cd57bdb5874378797811f87dd7dafbab78 Mon Sep 17 00:00:00 2001
From: Charles <[email-masked]>
Date: Mon, 27 Sep 2021 00:43:17 -0500
Subject: [PATCH] gnu: sbcl: Update to 2.1.8.

* gnu/packages/lisp.scm (sbcl): Update to 2.1.8.
---
 gnu/packages/lisp.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/lisp.scm b/gnu/packages/lisp.scm
index 7eb8f54d49..c924880ac9 100644
--- a/gnu/packages/lisp.scm
+++ b/gnu/packages/lisp.scm
@@ -404,14 +404,14 @@ an interpreter, a compiler, a debugger, and much more.")
 (define-public sbcl
   (package
     (name "sbcl")
-    (version "2.1.6")
+    (version "2.1.8")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "mirror://sourceforge/sbcl/sbcl/" version "/sbcl-"
                            version "-source.tar.bz2"))
        (sha256
-        (base32 "1vydq6mmssla2vn0plpsrm50n3b42a464zxw72j6qihas9fhq8cb"))))
+        (base32 "0ijmw8adyf6fgaq4ixdj9v5lfg3cs9wyxhb96wxhfld0rjpppsm3"))))
     (build-system gnu-build-system)
     (outputs '("out" "doc"))
     (native-inputs
-- 
2.32.0